import { EventsRegistry } from './events/EventsRegistry';
import { Notification } from './DTO/Notification';
import { NotificationCategory } from './interfaces/NotificationCategory';
import { NotificationsIOS } from './NotificationsIOS';
import { NotificationsAndroid } from './NotificationsAndroid';
export declare class NotificationsRoot {
    readonly ios: NotificationsIOS;
    readonly android: NotificationsAndroid;
    private readonly nativeEventsReceiver;
    private readonly nativeCommandsSender;
    private readonly commands;
    private readonly eventsRegistry;
    private readonly eventsRegistryIOS;
    private readonly uniqueIdProvider;
    private readonly completionCallbackWrapper;
    constructor();
    /**
     * registerRemoteNotifications
     */
    registerRemoteNotifications(): void;
    /**
     * postLocalNotification
     */
    postLocalNotification(notification: Notification, id: number): void;
    /**
     * getInitialNotification
     */
    getInitialNotification(): Promise<Notification | undefined>;
    /**
     * setCategories
     */
    setCategories(categories: [NotificationCategory?]): void;
    /**
     * cancelLocalNotification
    */
    cancelLocalNotification(notificationId: string): void;
    /**
     * isRegisteredForRemoteNotifications
     */
    isRegisteredForRemoteNotifications(): Promise<boolean>;
    /**
     * Obtain the events registry instance
     */
    events(): EventsRegistry;
}
